# Generated from dotiw-5.3.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dotiw

Name: rubygem-%{gem_name}
Version: 5.3.3
Release: 1%{?dist}
Summary: Better distance_of_time_in_words for Rails
License: MIT
URL: https://github.com/radar/distance_of_time_in_words
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(appraisal)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(tzinfo) >= 1.2.7
# BuildRequires: rubygem(tzinfo) < 1.3
BuildArch: noarch

%description
dotiw is a gem for Rails that overrides the
default distance_of_time_in_words and provides
a more accurate output. Do you crave accuracy
down to the second? So do I. That's why I made
this gem. - Ryan.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Appraisals
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/benchmarks
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/dotiw.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 25 2022 mockbuilder - 5.3.3-1
- Initial package
